#pragma once
#include "segui_base.h"

#define SCOPE_BUFFER_SIZE 100
#define SCOPE_CHANNELS 2

class GuiModule :
	public SEGUI_base
{
public:
	GuiModule(seGuiCallback seaudioMaster, void *p_resvd1);
	~GuiModule(void);
	virtual void paint(HDC hDC, SEWndInfo *wi);
	virtual void OnModuleMsg(int p_user_msg_id,int p_length, void * p_data);
/*
	virtual bool OnIdle(void);
	void Initialise(bool loaded_from_file);
*/
private:
	void SendStringToAudio( int p_msg_id, int p_length, void *p_data );
	int Handle(void);
	int InvalidateControl(void);
	//bool draw_trace[SCOPE_CHANNELS];
	FSAMPLE values[SCOPE_CHANNELS][SCOPE_BUFFER_SIZE+4]; // must allow generator to overfill by 2 samples
	SeFontInfo m_font_info;
};
